Subject: Re: Automating svn<->git gateway

From: Jan Hudec <[email-masked]>
Date: Tue, 12 Oct 2010 19:35:25 +0200

On Mon, Oct 11, 2010 at 16:33:47 -0400, Joshua Shrader wrote:
> Check out the article and third-to-last comment (as of today) at
> http://blog.emmanuelbernard.com/2010/05/git-how-my-life-has-improved-since-last-month-when-i-used-svn/comment-page-1/#comment-2248
> 
> The comment (by Josh) is mine, and details how I've approached this
> problem.  It's worked very well for us, and follows from a workflow
> presented in Jon Loeliger's "Version Control with Git."  I haven't
> messed with any hooks, but I'd imagine that wouldn't be too difficult.
>  Right now, we keep a couple legacy maintenance SVN branches sync'd up
> with their corresponding Git branches.  The one thing that we haven't
> attempted (and don't plan on) is creating a new branch in Git that we
> want to duplicate in SVN.  We're only syncing branches that existed in
> SVN prior to our move to Git.  Any new branches are "Git-only."

Thanks. That's the workflow I had in mind. I already did something similar
ages ago with GNU arch and CVS, but the exact outline for git-svn will be
definitely helpful. Especially the exact order in which the merges need to be
done.

For my purpose I'll definitely need to automate it, because we often need to
see each other's changes quickly (often somebody needs a fix from somebody
else to be able to test something else or to base other changes on it). So
requiring to log in on the server and run the synchronization manually would
add too much overhead.

> On Mon, Oct 11, 2010 at 3:30 PM, Jan Hudec <[email-masked]> wrote:
> > Hello Folks,
> >
> > I want to set up a gateway between subversion and git, which would keep the
> > master synchonized with subversion trunk, both ways, and allow working with
> > any additional branches independent of subversion. For users it should behave
> > as any other shared git repository accessed by push and pull. And it needs to
> > be automatic.
> >
> > Did anybody try to set up something like this?
-- 
						 Jan 'Bulb' Hudec <[email-masked]>